Method: customers.v2.Groups.list

检索群组列表。

  • 请求必须指定过滤条件。不含 filter 参数的请求会返回 tooMany 错误。
  • filter 参数仅支持对 displayName(例如 displayName eq "Group Name")或 externalId(例如 externalId eq "ddaafa46e2b6")进行等值比较。
  • 不支持子字符串匹配(coswew)、逻辑运算符(andor)和复杂的值过滤条件。
  • 不支持分页。如果匹配的群组超过 50 个,则只会返回前 50 个结果。

HTTP 请求

GET https://cloudidentityscim.googleapis.com/v1beta1/customers/{customerId}/v2/Groups

网址采用 gRPC 转码语法。

路径参数

参数
customerId

string

必需。客户 ID。

查询参数

参数
filter

string

过滤条件参数。

请求正文

请求正文必须为空。

响应正文

列出群组的响应消息。

如果成功,响应正文将包含结构如下的数据:

JSON 表示法
{
  "schemas": [
    string
  ],
  "resources": [
    {
      object (Group)
    }
  ],
  "totalResults": integer
}
字段
schemas[]

string

返回资源的架构。

resources[]

object (Group)

所请求资源的列表。

totalResults

integer

结果总数。

授权范围

需要以下 OAuth 范围之一:

  • https://www.googleapis.com/auth/cloud-identity.groups.readonly
  • https://www.googleapis.com/auth/cloud-identity.groups
  • https://www.googleapis.com/auth/cloud-identity
  • https://www.googleapis.com/auth/cloud-platform

如需了解详情,请参阅授权指南